=== modified file 'Makefile.am'
--- Makefile.am	2010-09-07 03:47:01 +0000
+++ Makefile.am	2010-09-07 03:55:51 +0000
@@ -1,11 +1,11 @@
-# Top level Makefile for cortexcpu
+# Top level Makefile for cortex-strings
 
 # Used to record the compiler version in the executables
 COMPILER = $(shell $(CC) --version 2>&1 | head -n1)
 
 # The main library
 lib_LTLIBRARIES = \
-	libcortexcpu.la
+	libcortex-strings.la
 
 # Test suite
 check_PROGRAMS = \
@@ -37,7 +37,7 @@
 	libmulti.a
 
 # Main library
-libcortexcpu_la_SOURCES = \
+libcortex_strings_la_SOURCES = \
 	src/neon/memcpy.S \
 	src/neon/memset.S \
 	src/thumb-2/strcmp.c \
@@ -45,15 +45,15 @@
 	src/thumb-2/strlen.c
 
 # Options for the tests
-tests_test_memcpy_LDADD = libcortexcpu.la
+tests_test_memcpy_LDADD = libcortex-strings.la
 tests_test_memcpy_CFLAGS = -Itests $(AM_CFLAGS)
-tests_test_memset_LDADD = libcortexcpu.la
+tests_test_memset_LDADD = libcortex-strings.la
 tests_test_memset_CFLAGS = -Itests $(AM_CFLAGS)
-tests_test_strcmp_LDADD = libcortexcpu.la
+tests_test_strcmp_LDADD = libcortex-strings.la
 tests_test_strcmp_CFLAGS = -Itests $(AM_CFLAGS)
-tests_test_strcpy_LDADD = libcortexcpu.la
+tests_test_strcpy_LDADD = libcortex-strings.la
 tests_test_strcpy_CFLAGS = -Itests $(AM_CFLAGS)
-tests_test_strlen_LDADD = libcortexcpu.la
+tests_test_strlen_LDADD = libcortex-strings.la
 tests_test_strlen_CFLAGS = -Itests $(AM_CFLAGS)
 
 TESTS = $(check_PROGRAMS)
@@ -98,7 +98,7 @@
 try_none_LDADD = libmulti.a
 try_all_SOURCES =
 try_all_LDFLAGS = -lrt
-try_all_LDADD = libmulti.a libcortexcpu.la
+try_all_LDADD = libmulti.a libcortex-strings.la
 try_bionic_SOURCES =
 try_bionic_LDFLAGS = -lrt
 try_bionic_LDADD = libmulti.a libbionic.a
@@ -121,7 +121,7 @@
 	benchmarks/dhry/dhry_2.c
 
 dhry_CFLAGS = -Dcompiler="\"$(COMPILER)\"" -Doptions="\"$(CFLAGS)\""
-dhry_LDADD = libcortexcpu.la
+dhry_LDADD = libcortex-strings.la
 
 dhry_native_SOURCES = $(dhry_SOURCES)
 dhry_native_CFLAGS = $(dhry_CFLAGS)

=== modified file 'NOTES'
--- NOTES	2010-09-06 03:41:48 +0000
+++ NOTES	2010-09-07 03:55:51 +0000
@@ -6,7 +6,7 @@
             AUTOCONF=false \
             configure --host=arm-linux-gnueabi --build=arm-linux-gnueabi \
             --prefix=$HOME/opt --without-cvs \
-            --enable-add-ons=libidn,ports,nptl,cortexcpu \
+            --enable-add-ons=libidn,ports,nptl,cortex-strings \
             --enable-profile --without-selinux --enable-stackguard-randomization \
             --with-cpu=cortex-a8
 

=== modified file 'README'
--- README	2010-09-06 03:41:48 +0000
+++ README	2010-09-07 03:55:51 +0000
@@ -10,13 +10,13 @@
 These routines can be used either stand-alone or as a GLIBC add-on.
 
 To use them stand-alone, first configure and then install
-libcortexcpu.so.  To make other applications use this library, either
-add -lcortexcpu to the link command or use LD_PRELOAD to load the
+libcortex-strings.so.  To make other applications use this library, either
+add -lcortex-strings to the link command or use LD_PRELOAD to load the
 library into existing applications.
 
 To use them as a GLIBC add-on, first configure and run `make add-on`
-to generate cortexcpu.tar.  Extract this into the GLIBC source
-directory, enable the add-on using `--enable-add-ons=cortexcpu` and
+to generate cortex-strings.tar.  Extract this into the GLIBC source
+directory, enable the add-on using `--enable-add-ons=cortex-strings` and
 `--with-cpu=cortex-a8`, build GLIBC, and install.
 
 == Contents ==

=== modified file 'configure.ac'
--- configure.ac	2010-09-06 03:41:48 +0000
+++ configure.ac	2010-09-07 03:55:51 +0000
@@ -1,4 +1,4 @@
-AC_INIT(cortexcpu, 0.1)
+AC_INIT(cortex-strings, 0.1)
 AM_INIT_AUTOMAKE(foreign subdir-objects color-tests)
 AC_CONFIG_HEADERS([config.h])
 AC_CONFIG_FILES(Makefile)

